name: Price Lists
description: Display price lists.
type: particle

configuration:
  caching:
    type: static

form:
  fields:
    enabled:
      type: input.checkbox
      label: Enabled
      description: Globally enable Price Lists particles.
      default: true

    mainheading:
      type: input.text
      label: Title
      description: Type in the title.
      placeholder: 'Enter Title'
      default: ''

    introtext:
      type: textarea.textarea
      label: Intro Text
      description: Type in the intro text.
      placeholder: 'Enter Intro Text'
      default: ''

    gutter:
      type: select.select
      label: Gutter
      description: Enable or disable the Price Lists gutter (to have space between the items or not).
      placeholder: 'Select...'
      default: enabled
      options:
        enabled: Enabled
        disabled: Disabled

    link:
      type: input.text
      label: Button Link
      description: Type in the URL.

    buttontext:
      type: input.text
      label: Button Text
      description: Type in the button text.

    buttonicon:
      type: input.icon
      label: Button Icon
      description: Select an icon for the button.

    target:
      type: select.select
      label: Button Target
      description: Target browser window when item is clicked.
      placeholder: 'Select...'
      default: _parent
      options:
          _parent: Self
          _blank: New Window

    css.class:
      type: input.selectize
      label: CSS Classes
      description: CSS class name for the particle.
      default: 

    extra:
      type: collection.keyvalue
      label: Tag Attributes
      description: Extra Tag attributes.
      key_placeholder: Key (data-*, style, ...)
      value_placeholder: Value
      exclude: ['id', 'class']

    items:
      type: collection.list
      array: true
      label: Price Lists
      description: Create each price list to display.
      value: name
      ajax: true

      fields:

        .title:
          type: input.text
          label: List Name
          description: Type in the list name.

        .inneritems:
          type: collection.list
          array: true
          label: List Items
          description: Create each list item to display.
          value: name
          ajax: true

          fields:

            .title:
              type: input.text
              label: Title
              description: Type in the list title.

            .description:
              type: textarea.textarea
              label: Description

            .price:
              type: input.text
              label: Price
              description: Type in the list title.

        .class:
          type: input.selectize
          label: CSS Class
          description: CSS class name for this list.

        .extra:
          type: collection.keyvalue
          label: Tag Attributes
          description: Extra Tag attributes.
          key_placeholder: Key (data-*, style, ...)
          value_placeholder: Value
          exclude: ['id', 'class']